# == Class: xymon::client::service
#
# Manage Xymon client service
#
class xymon::client::service {

  if $xymon::client::service_enabled == true {
    $service_ensure = 'running'
  } else {
    $service_ensure = 'stopped'
  }

  if $xymon::client::service_managed == true {
    service { $xymon::client::service_name:
      ensure     => $service_ensure,
      enable     => $xymon::client::service_enabled,
      hasstatus  => true,
      hasrestart => true,
    }
  }


} # Private class: xymon::client::service
