# == Class: xymon::server::config
#
# Some configurations before install Xymon server
#
class xymon::server::config {

  File {
    owner => root,
    group => root,
    mode  =>  0644,
  }

  # Config file for the apt plugin (from xymon-plugins) for Xymon server
  file { 'link apt.cfg for Xymon server':
    ensure => link,
    path   => '/etc/xymon/tasks.d/apt.cfg',
    target => '../clientlaunch.d/apt.cfg',
  }


} # Private class: xymon::server::config
