# == Class: xymon::server::service
#
# Manage Xymon service
#
class xymon::server::service {

  if $xymon::server::service_enabled == true {
    $service_ensure = running
  } else {
    $service_ensure = stopped
  }

  if $xymon::server::service_managed == true {
    service { $xymon::server::service_name:
      ensure     => $service_ensure,
      enable     => $xymon::server::service_enabled,
      hasstatus  => true,
      hasrestart => true,
    }
  }

} # Private class: xymon::server::service
